import React from 'react';
function ClickDemo(props) {

    const handleLinkClick = (event) => {
        event.preventDefault();
        alert('Link Clicked!');
    }
    const handleButtonClick = ({ target }) => {
        target.innerText = "Clicked";
        alert('Button Clicked!');
    }
    return <>
        <div style={{ flexDirection: 'column', height: '100vh', display: 'flex', alignItems: 'center', justifyContent: 'center' }}>
            <a onClick={handleLinkClick} href="http://google.com">Go to Google</a>
            <button onClick={handleButtonClick}>Click Me!</button>
        </div>
    </>;

}
export default ClickDemo;